As with all software, our application also has some minimum requirements.

As it is a Web Application, we simply need you to be running an up to date version of a Modern browser.

We would also request you are running this on an up to date operating system.


Recommended Operating Systems


If you are not sure what browser you are using, please go here - https://www.whatsmybrowser.org/

Did this answer your question?